# *osu!lazer* in OCI container

## How to use

### Building

Using podman/buildah:

    buildah build --layers -t osu --build-arg OSU_VERSION=2024.412.1 --jobs 0

Change `2024.412.1` to the newest osu! version.
By changing `--jobs 0` to a positive integer N,
at most N build stages will be run in parallel.

### Running

Place `run.sh` in a directory of your choice. On first run, the directories
`data` and `import` will be created.

To import a beatmap, place it in the `import` directory, open a graphical file
manager and drag-and-drop the file into *osu!*.

<small>This is not an official product by ppy Pty Ltd. *osu!* is a registered
trademark by ppy Pty Ltd.</small>
